Borderless Windows when running Compiz

Compiz, KDE, Gnome, Fluxbox, etc...

Moderator: Moderators

Re: Borderless Windows when running Compiz

Postby wolfden » Mon Oct 29, 2007 22:33

when you run it, it spits out all the packages it is going to rebuild, just copy and paste it to a text file, than edit it so you can just run emerge package package package package etc......... when it fails use emerge --resume --skipfirst
wolfden
Sharecropper
 
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: Borderless Windows when running Compiz

Postby joost » Mon Oct 29, 2007 23:30

emerge them manually. Most version numbers don't exist in portage anymore.

Just emerge <package name> instead, and for 99% it will fix it.
joost
Sagely Hen
 
Posts: 2605
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands

Re: Borderless Windows when running Compiz

Postby Lamo » Tue Oct 30, 2007 4:24

I've gotten this far but not sure how to get any further. these are the packages that won't emerge:

Code: Select all
python-musicbrainz2-0.3.1 \=media-tv/democracy-0.9.5.1-r1 \=dev-java/antlr-2.7.7 \=dev-util/subversion-1.4.3 \=net-print/hplip-1.6.10


When I run python-updater -i I get this now:

Code: Select all
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
                      >> E R R O R <<
============================================================

/usr/bin/fastjar cf /var/tmp/portage/dev-java/antlr-2.7.7/work/antlr-2.7.7/antlr/antlr.jar antlr

============================================================
Got an error while trying to execute  command  above.  Error
messages (if any) must have shown before. The exit code was:
exit(139)
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
make[1]: *** [/var/tmp/portage/dev-java/antlr-2.7.7/work/antlr-2.7.7/antlr/antlr.jar] Error 139
make: *** [all] Error 1
 *
 * ERROR: dev-java/antlr-2.7.7 failed.
 * Call stack:
 *            ebuild.sh, line 1695:  Called dyn_compile
 *            ebuild.sh, line 1033:  Called qa_call 'src_compile'
 *            ebuild.sh, line   44:  Called src_compile
 *   antlr-2.7.7.ebuild, line   38:  Called die
 * The specific snippet of code:
 *      emake || die "compile failed"
 *  The die message:
 *   compile failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/dev-java/antlr-2.7.7/temp/build.log'.
 *
!!! When you file a bug report, please include the following information:
GENTOO_VM=sun-jdk-1.6  CLASSPATH="." JAVA_HOME="/opt/sun-jdk-1.6.0.03"
JAVACFLAGS="+ -source 1.3 -target 1.3" COMPILER=""
and of course, the output of emerge --info

 * Messages for package dev-java/antlr-2.7.7:

 *
 * ERROR: dev-java/antlr-2.7.7 failed.
 * Call stack:
 *            ebuild.sh, line 1695:  Called dyn_compile
 *            ebuild.sh, line 1033:  Called qa_call 'src_compile'
 *            ebuild.sh, line   44:  Called src_compile
 *   antlr-2.7.7.ebuild, line   38:  Called die
 * The specific snippet of code:
 *      emake || die "compile failed"
 *  The die message:
 *   compile failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/dev-java/antlr-2.7.7/temp/build.log'.
 *
 * Failed merging dev-java/antlr-2.7.7 (3/6)!
 * Starting to merge (4/6) dev-util/subversion-1.4.3 ..

emerge: there are no ebuilds to satisfy "=dev-util/subversion-1.4.3".

 * Failed merging dev-util/subversion-1.4.3 (4/6)!
 * Starting to merge (5/6) media-tv/democracy-0.9.5.1-r1 ..

emerge: there are no ebuilds to satisfy "=media-tv/democracy-0.9.5.1-r1".

 * Failed merging media-tv/democracy-0.9.5.1-r1 (5/6)!
 * Starting to merge (6/6) dev-python/python-musicbrainz2-0.3.1 ..

emerge: there are no ebuilds to satisfy "=dev-python/python-musicbrainz2-0.3.1".

 * Failed merging dev-python/python-musicbrainz2-0.3.1 (6/6)!

 * ************************************************************
 * * Packages that still need to be manually emerged :        *
 * ************************************************************

 *  Masked Packages:
 *  ----------------
 *  Unmask the following packages (at your own risk) and
 *  emerge them using this command after removing the '-p'
 *  parameter.

 *  emerge -p  \=app-portage/portato-0.8.0-r1 \=dev-util/portatosourceview-2.16.1


 *  Failed Packaged:
 *  ----------------
 *  These packages have failed and need to be re-emerged again.
 *  Alternatively, try re-running this script again to see if it
 *  can be fixed.

 *  emerge -p  \=net-print/hplip-1.6.10 \=dev-java/antlr-2.7.7 \=dev-util/subversion-1.4.3 \=media-tv/democracy-0.9.5.1-r1 \=dev-python/python-musicbrainz2-0.3.1


Says some of the packages are masked but I tried unmasking them with no success.
Dell Inspiron 6400
Intel Core 2 Duo 1.86
1 gig ram
nVidia GeForce Go 7300 256MB
Lamo
Young Hen
 
Posts: 29
Joined: Thu Aug 09, 2007 4:17

Re: Borderless Windows when running Compiz

Postby wolfden » Tue Oct 30, 2007 7:37

I believe if I remember right portatosourceview is in the package.masked file, you need to edit that to allow higher versions
wolfden
Sharecropper
 
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: Borderless Windows when running Compiz

Postby joost » Tue Oct 30, 2007 9:02

I removed portato and the sourceview package, and remerged them later.
joost
Sagely Hen
 
Posts: 2605
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands

Re: Borderless Windows when running Compiz

Postby joost » Tue Oct 30, 2007 12:07

To fix the java error you posted above:
Code: Select all
mv /usr/bin/fastjar /usr/bin/fastjar.depricate
emerge dev-java/antlr


http://forums.gentoo.org/viewtopic-p-44 ... 35846fd7fd
joost
Sagely Hen
 
Posts: 2605
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands

Re: Borderless Windows when running Compiz

Postby Lamo » Wed Oct 31, 2007 18:03

I finally got python-updater -i to finish but I had to remove subversion to do it and now it won't reinstall. Which blows cause now I can't layman -S. Then I ran revdep-rebuild and remerged compiz and emerald. But I'm still having the same problems as before which is no borders. My xorg.0.log says glx isn't loading and I know my xorg is good because I'm using the one from the liveDVD where compiz runs great. So this leads me to believe it's a driver issue. I'm using 100.14.23.r10 I think(not at home). So should I try downgrading my driver? And if so, how? Maybe I should see what driver the liveDVD is using. I'll try that when I get home. If anyone knows of anything else to try I'd appreciate it. Other than that I'm just gonna backup and reinstall :/
Dell Inspiron 6400
Intel Core 2 Duo 1.86
1 gig ram
nVidia GeForce Go 7300 256MB
Lamo
Young Hen
 
Posts: 29
Joined: Thu Aug 09, 2007 4:17

Previous

Return to 3D Desktops and Window Managers

Who is online

Users browsing this forum: No registered users and 1 guest

cron